Find connected profiles (network mapper)
curl --request POST \
--url https://bee.theswarm.com/v2/profiles/network-mapper \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"query": {
"match": {
"profile_info.job_title": {
"query": "Data Scientist"
}
}
},
"mapping_company_website": "<string>",
"callback_url": "<string>"
}
'import requests
url = "https://bee.theswarm.com/v2/profiles/network-mapper"
payload = {
"query": { "match": { "profile_info.job_title": { "query": "Data Scientist" } } },
"mapping_company_website": "<string>",
"callback_url": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: {match: {'profile_info.job_title': {query: 'Data Scientist'}}},
mapping_company_website: '<string>',
callback_url: '<string>'
})
};
fetch('https://bee.theswarm.com/v2/profiles/network-mapper', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"profile": {
"full_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_title": "<string>",
"linkedin_url": "<string>",
"work_email": "<string>",
"current_company_name": "<string>",
"current_company_website": "<string>"
},
"connections": [
{
"connector_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connector_name": "<string>",
"connector_linkedin_url": "<string>",
"connector_current_title": "<string>",
"connector_current_company_name": "<string>",
"connection_strength_normalized": 123,
"connection_strength": 123,
"manual_strength": 123,
"sources": [
{
"shared_company": "<string>",
"shared_company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"shared_company_website": "<string>",
"shared_company_linkedin_slug": "<string>",
"overlap_start_date": "<string>",
"overlap_end_date": "<string>",
"overlap_duration_months": 123,
"shared_school": "<string>",
"shared_major": "<string>",
"graduation_year": "<string>",
"investor": "<string>",
"portfolio_company": "<string>"
}
]
}
]
}
],
"count": 123,
"total_count": 123
}{
"task_id": "<string>"
}{
"code": 123,
"errors": [
"<string>"
]
}Endpoints (v2 — deprecated June 30)
Network Mapper
Find connected profiles with their connection details
POST
/
v2
/
profiles
/
network-mapper
Find connected profiles (network mapper)
Deprecated — July 15, EOD UTC. Split and renamed in v3:
- Team network (was
inNetwork=true) → Relationships atPOST /v3/relationships. Free to call in v3. - Partner network → Network Mapper (Partner) at
POST /v3/network-mapper. Partner permission required.
Authorizations
Body
application/json
Search query in the ElasticSearch Query DSL format. Find mapping here
Example:
{
"match": {
"profile_info.job_title": { "query": "Data Scientist" }
}
}Website of the company to map network for (optional)
URL to call when async mapping completes (optional)
Was this page helpful?
⌘I

